
/* Image filter library for sqcam driver by philippe Corbes (04/02/2007)
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

#ifndef _IMAGE_FILTER_H_
#define _IMAGE_FILTER_H_


struct image_filter {
	int enabled;
	int change;
	int Gamma;
	int OffsetRed;
	int OffsetBlue;
	int OffsetGreen;
	int GainRed;
	int GainBlue;
	int GainGreen;
	unsigned char red[256];
	unsigned char green[256];
	unsigned char blue[256];
};

struct gammaconf {
        int schalt5, schalt4, schalt5s, schalt4s, log, hyst, height, width;
        };


int auto_gamma(struct image *img, struct image_filter *filter, struct gammaconf *conf);
static void image_filter_update(struct image_filter *filter);
static void image_filter_apply(unsigned char *src_region, unsigned char *dest_region, struct image_filter *filter, struct gammaconf *conf);

#endif	/* IMAGE_FILTER_H */
